GDCM: gdcm::CSAHeaderDict Class Reference

GDCM 3.2.11

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::CSAHeaderDict Class Reference

Class to represent a map of CSAHeaderDictEntry. More...

`#include <gdcmCSAHeaderDict.h>`

## Public Types
typedef MapCSAHeaderDictEntry::const_iterator | ConstIterator
typedef MapCSAHeaderDictEntry::iterator | Iterator
typedef std::set< CSAHeaderDictEntry > | MapCSAHeaderDictEntry

## Public Member Functions
| CSAHeaderDict ()
| CSAHeaderDict (const CSAHeaderDict &_val)=delete
void | AddCSAHeaderDictEntry (const CSAHeaderDictEntry &de)
ConstIterator | Begin () const
ConstIterator | End () const
const CSAHeaderDictEntry & | GetCSAHeaderDictEntry (const char *name) const
bool | IsEmpty () const
CSAHeaderDict & | operator= (const CSAHeaderDict &_val)=delete

## Protected Member Functions
void | LoadDefault ()

## Friends
class | Dicts
std::ostream & | operator<< (std::ostream &_os, const CSAHeaderDict &_val)

## Detailed Description

Class to represent a map of CSAHeaderDictEntry.

Examples
  MrProtocol.cxx.

## Member Typedef Documentation

## ◆ ConstIterator

typedef MapCSAHeaderDictEntry::const_iterator gdcm::CSAHeaderDict::ConstIterator

## ◆ Iterator

typedef MapCSAHeaderDictEntry::iterator gdcm::CSAHeaderDict::Iterator

## ◆ MapCSAHeaderDictEntry

typedef std::set<CSAHeaderDictEntry> gdcm::CSAHeaderDict::MapCSAHeaderDictEntry

## Constructor & Destructor Documentation

## ◆ CSAHeaderDict() [1/2]

gdcm::CSAHeaderDict::CSAHeaderDict | ( |  | ) |
| inline

References gdcm_assert.

Referenced by CSAHeaderDict(), operator<<, and operator=().

## ◆ CSAHeaderDict() [2/2]

gdcm::CSAHeaderDict::CSAHeaderDict | ( | const CSAHeaderDict & | _val | ) |
| delete

References CSAHeaderDict(), and operator<<.

## Member Function Documentation

## ◆ AddCSAHeaderDictEntry()

void gdcm::CSAHeaderDict::AddCSAHeaderDictEntry | ( | const CSAHeaderDictEntry & | de | ) |
| inline

References gdcm_assert.

## ◆ Begin()

ConstIterator gdcm::CSAHeaderDict::Begin | ( |  | ) | const
| inline

## ◆ End()

ConstIterator gdcm::CSAHeaderDict::End | ( |  | ) | const
| inline

## ◆ GetCSAHeaderDictEntry()

const CSAHeaderDictEntry & gdcm::CSAHeaderDict::GetCSAHeaderDictEntry | ( | const char * | name | ) | const
| inline

Examples
  MrProtocol.cxx.

## ◆ IsEmpty()

bool gdcm::CSAHeaderDict::IsEmpty | ( |  | ) | const
| inline

## ◆ LoadDefault()

void gdcm::CSAHeaderDict::LoadDefault | ( |  | ) |
| protected

## ◆ operator=()

CSAHeaderDict & gdcm::CSAHeaderDict::operator= | ( | const CSAHeaderDict & | _val | ) |
| delete

References CSAHeaderDict().

## Friends And Related Symbol Documentation

## ◆ Dicts

friend class Dicts
| friend

References Dicts.

Referenced by Dicts.

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const CSAHeaderDict & | _val )
| friend

References CSAHeaderDict(), and operator<<.

Referenced by CSAHeaderDict(), and operator<<.

The documentation for this class was generated from the following file:

- gdcmCSAHeaderDict.h